Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/browsehistory/BrowseHistoryWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/browsehistory/BrowseHistoryWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/browsehistory/BrowseHistoryWidget.java	(revision 51030)
@@ -8,6 +8,7 @@
 import com.google.gwt.event.dom.client.ClickHandler;
 import com.google.gwt.query.client.Function;
 import com.google.gwt.user.client.Event;
+import com.google.gwt.user.client.Window;
 import com.google.gwt.user.client.rpc.AsyncCallback;
 import com.google.gwt.user.client.ui.FlowPanel;
 import com.google.gwt.user.client.ui.HTML;
@@ -304,6 +305,8 @@
                 updateContents(jobsOfUser.getJobs());
                 drawPager(bottomPagerPanel);
 //                drawBottomPager();
+
+                Window.scrollTo(0, 0);
             }
         });
     }
@@ -678,16 +681,20 @@
 
                     contents += "<td class=\"uk-table-shrink\" rowspan=\"2\"><div class=\"el-link actions\" href=\"#\">" +
                             "<div class=\"viewDetailsLinkWrapper\"><a href=\"#" + parentToken + "/" + storedJob.getId() + "\"  id=\"" + storedJob.getId() +
-                            "#viewDetails\" class=\"viewDetails\">View Results<i class=\"fa fa-info\"></i><i class=\"fa fa-angle-right\"></i></a></div>" +
-                            "<div><a id=\"" + storedJob.getId() + "#resubmit\" class=\"uk-button uk-button-primary resubmitJob\"><i></i>Resubmit</a></div>" +
+                            "#viewDetails\" class=\"viewDetails\">View Results<i class=\"fa fa-angle-right\"></i></a></div>" +
+                            "<div><a id=\"" + storedJob.getId() + "#resubmit\" class=\"resubmitJob\">Resubmit<i class=\"fa fa-repeat\" aria-hidden=\"true\"></i>" +
+                            "</a></div>" +
                             "</div></td>";
 
                     if(storedJob.getValidationStatus().equals(Constants.VALIDATION_JOB_STATUS_SUCCESSFUL))
                         contents += "<td class=\"uk-table-shrink\" rowspan=\"2\"><input width=\"20\" type=\"image\" height=\"20\" " +
-                                "title=\"Successfull\" src=\"icon_colours-check.jpg\"></td>";
+                                "title=\"Successfull\" src=\"img/icon_colours-check.jpg\"></td>";
                     else if(storedJob.getValidationStatus().equals(Constants.VALIDATION_JOB_STATUS_FAILED))
                         contents += "<td class=\"uk-table-shrink\" rowspan=\"2\"><input width=\"20\" type=\"image\" height=\"20\" " +
-                                "title=\"Successfull\" src=\"icon_colours-x.jpg\"></td>";
+                                "title=\"Successfull\" src=\"img/icon_colours-x.jpg\"></td>";
+                    else if(storedJob.getValidationStatus().equals(Constants.VALIDATION_JOB_STATUS_ONGOING))
+                        contents += "<td class=\"uk-table-shrink\" rowspan=\"2\"><input width=\"20\" type=\"image\" height=\"20\" " +
+                                "title=\"Ongoing\" src=\"img/icon_colours-question.jpg\"></td>";
 //                    else
 //                        contents += "<td rowspan=\"2\"><input width=\"20\" type=\"image\" height=\"20\" " +
 //                                "title=\"Successfull\" src=\"img/check-icon.png\"></td>";
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/services/RepositoryService.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/services/RepositoryService.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/services/RepositoryService.java	(revision 51030)
@@ -7,6 +7,7 @@
 import eu.dnetlib.domain.data.RepositoryInterface;
 import eu.dnetlib.domain.functionality.UserProfile;
 import eu.dnetlib.repo.manager.shared.*;
+import org.json.JSONException;
 
 import java.util.List;
 import java.util.Map;
@@ -66,4 +67,7 @@
     void markPiwikSiteAsValidated(String repositoryId) throws RepositoryServiceException;
 
     MetricsInfo getMetricsInfoForRepository(String repoId) throws RepositoryServiceException;
+
+
+    Aggregations getRepositoryAggregations(String repoId) throws Exception;
 }
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/services/BrokerService.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/services/BrokerService.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/services/BrokerService.java	(revision 51030)
@@ -3,6 +3,7 @@
 import com.google.gwt.user.client.rpc.RemoteService;
 import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;
 import eu.dnetlib.repo.manager.shared.BrokerException;
+import eu.dnetlib.repo.manager.shared.Term;
 import eu.dnetlib.repo.manager.shared.broker.*;
 import org.json.JSONException;
 
@@ -23,8 +24,10 @@
 
     DatasourcesBroker getDatasourcesOfUser(String userEmail, boolean includeShared, boolean includeByOthers) throws BrokerException;
 
-    Map<String, List<SimpleSubscriptionDesc>> getSubscriptionsOfUser(String userEmail) throws BrokerException;
+    Map<String, List<SimpleSubscriptionDesc>> getSimpleSubscriptionsOfUser(String userEmail) throws BrokerException;
 
+    Map<String, List<Subscription>> getSubscriptionsOfUser(String userEmail) throws BrokerException;
+
     Subscription subscribe(OpenaireSubscription obj) throws BrokerException;
 
     void unsubscribe(String subscriptionId) throws BrokerException;
@@ -32,4 +35,8 @@
     void unsubscribe(List<String> subscriptionIds) throws BrokerException;
 
     Subscription getSubscription(String subscriptionId) throws BrokerException;
+
+    Map<String,Term> getDnetTopics() throws BrokerException;
+
+    EventsPage getNotificationsBySubscriptionId(String subscriptionId, String page, String size) throws BrokerException;
 }
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectRepositoryOrJournalWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectRepositoryOrJournalWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectRepositoryOrJournalWidget.java	(revision 51030)
@@ -26,9 +26,9 @@
 
     private Form baseURLForm = new Form();
 
-    private RadioButton chooseExistingBaseURLRadio = new RadioButton("baseURLRadio", "Choose existing base URL", false);
+    private RadioButton chooseExistingBaseURLRadio = new RadioButton("baseURLRadio", "Select base URL from one of your registered repositories", false);
     private ListBox existingBaseURLsListBox = new ListBox();
-    private RadioButton addManuallyRadio = new RadioButton("baseURLRadio", "or enter one manually", false);
+    private RadioButton addManuallyRadio = new RadioButton("baseURLRadio", "or enter new", false);
     private TextBox baseURLTextBox = new TextBox();
 
     public SelectRepositoryOrJournalWidget(List<String> repositoryURLs) {
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectRepositoryTypeWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectRepositoryTypeWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectRepositoryTypeWidget.java	(revision 51030)
@@ -69,7 +69,7 @@
 
         String content = "";
 
-        content += "<div class=\"uk-margin uk-grid\" uk-grid=\"\">\n" +
+        content += "<div class=\"uk-margin uk-grid repositoryTypeSelection\" uk-grid=\"\">\n" +
                 "\t<div class=\"uk-width-expand@m uk-width-1-3@s uk-grid-item-match uk-first-column\">\n" +
                 "    \t<div class=\"uk-text-center uk-card uk-card-default uk-card-hover uk-scrollspy-inview uk-animation-slide-top-medium\" uk-scrollspy-class=\"\" data-id=\"page#38\" style=\"\">\n" +
                 "        \t<a href=\"#validate/literature\" class=\"el-link uk-position-cover uk-margin-remove-adjacent\"></a>\n" +
@@ -77,8 +77,8 @@
                 "                <img src=\"img/Literature_repos_wide.png\" class=\"el-image\" alt=\"\" style=\"width: 100%\">\n" +
                 "            </div>        \n" +
                 "            <div class=\"uk-card-body\">\n" +
-                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Validate Literature Repository</h3>\n" +
-                "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\">Lorem ipsum dolor sit amet, consectetur adipiscing elit...</div>\n" +
+                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Run compatibility test against the OpenAIRE literature guidelines.</h3>\n" +
+//                "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\">Lorem ipsum dolor sit amet, consectetur adipiscing elit...</div>\n" +
                 "            </div>\n" +
                 "\t\t</div>\n" +
                 "\t</div>\n" +
@@ -90,8 +90,8 @@
                 "                <img src=\"img/Data_repos_wide.png\" class=\"el-image\" alt=\"\" style=\"width: 100%\">\n" +
                 "            </div>        \n" +
                 "            <div class=\"uk-card-body\">\n" +
-                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Validate Data Repository</h3>\n" +
-                "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\">Lorem ipsum dolor sit amet, consectetur adipiscing elit...</div>\n" +
+                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Run compatibility test against the OpenAIRE Guidelines for Data Archives.</h3>\n" +
+//                "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\">Lorem ipsum dolor sit amet, consectetur adipiscing elit...</div>\n" +
                 "            </div>\n" +
                 "\t\t</div>\n" +
                 "\t</div>\n" +
@@ -102,8 +102,8 @@
                 "            \t<img src=\"img/CRIS_wide.png\" class=\"el-image\" alt=\"\" style=\"width: 100%\">\n" +
                 "            </div>        \n" +
                 "            <div class=\"uk-card-body\">\n" +
-                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Validate Cris Repository</h3>\n" +
-                "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\">Lorem ipsum dolor sit amet, consectetur adipiscing elit...</div>\n" +
+                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Run compatibility test against the OpenAIRE Guidelines for CRIS Managers based on CERIF-XML.</h3>\n" +
+//                "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\">Lorem ipsum dolor sit amet, consectetur adipiscing elit...</div>\n" +
                 "            </div>\n" +
                 "\t\t</div>\n" +
                 "\t</div>\n" +
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectParametersWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectParametersWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectParametersWidget.java	(revision 51030)
@@ -57,7 +57,7 @@
         selectParametersWidgetPanel.addStyleName("uk-margin-top");
 
         // RECORDS
-        recordsLabel.setHTML("<label>Number of records</label>");
+        recordsLabel.setHTML("<label>Number of records to validate</label>");
 
         recordsPanel.addStyleName("marginBottom20");
         recordsPanel.add(recordsLabel);
@@ -110,7 +110,7 @@
         setsForm.add(setsListBox);
 
         // XPATH
-        xPathLabel.setHTML("<label>Would you like to group your results by a specific record's field?</label>");
+        xPathLabel.setHTML("<label>Would you like to group your results by a specific field?</label>");
 
         xPathPanel.addStyleName("xPathPanel marginBottom20");
         xPathPanel.add(xPathLabel);
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/ValidationWizardCompleteWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/ValidationWizardCompleteWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/ValidationWizardCompleteWidget.java	(revision 51030)
@@ -25,8 +25,7 @@
 //        contentPanel.addStyleName("success");
 
         HTML html = new HTML();
-        html.setHTML("<div class=\"success\"><i class=\"fa fa-check-circle\"></i><h3>Validation has begun " +
-                "successfully!</h3></div>");
+        html.setHTML("<div class=\"success\"><i class=\"fa fa-check-circle\"></i><h3>Validation has begun</h3></div>");
 
         contentPanel.add(html);
 
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectGuidelinesWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectGuidelinesWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/validator/test/SelectGuidelinesWidget.java	(revision 51030)
@@ -87,7 +87,7 @@
             counter++;
         }
 
-        showAdvanced.setText("Show Advanced");
+        showAdvanced.setText("Show Content and Usage Rules");
         showAdvanced.setIcon(IconType.ANGLE_DOWN);
         showAdvanced.setIconPosition(IconPosition.LEFT);
         showAdvanced.addStyleName("showAdvanced");
@@ -97,12 +97,12 @@
             public void onClick(ClickEvent event) {
                 if(areRulesShown) {
                     areRulesShown = false;
-                    showAdvanced.setText("Show Advanced");
+                    showAdvanced.setText("Show Content and Usage Rules");
                     showAdvanced.setIcon(IconType.ANGLE_DOWN);
                     selectGuidelinesWidgetPanel.remove(selectRulesPanel);
                 } else {
                     areRulesShown = true;
-                    showAdvanced.setText("Hide Advanced");
+                    showAdvanced.setText("Hide Content and Usage Rules");
                     showAdvanced.setIcon(IconType.ANGLE_UP);
                     selectGuidelinesWidgetPanel.add(selectRulesPanel);
                 }
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/AggregationHistoryTimeline.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/AggregationHistoryTimeline.java	(nonexistent)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/AggregationHistoryTimeline.java	(revision 51030)
@@ -0,0 +1,156 @@
+package eu.dnetlib.repo.manager.client.monitor;
+
+import com.google.gwt.i18n.client.DateTimeFormat;
+import com.google.gwt.user.client.ui.FlowPanel;
+import com.google.gwt.user.client.ui.HTML;
+import com.google.gwt.user.client.ui.IsWidget;
+import com.google.gwt.user.client.ui.Widget;
+import eu.dnetlib.repo.manager.shared.AggregationDetails;
+
+import java.util.List;
+
+/**
+ * Created by stefania on 1/16/18.
+ */
+public class AggregationHistoryTimeline implements IsWidget {
+
+    private FlowPanel aggregationHistoryPanel = new FlowPanel();
+
+    private DateTimeFormat dtf = DateTimeFormat.getFormat("yyyy-MM-dd");
+
+    public AggregationHistoryTimeline(List<AggregationDetails> aggregationHistory) {
+
+        aggregationHistoryPanel.addStyleName("uk-width-1-1@m");
+
+        FlowPanel section = new FlowPanel();
+        section.addStyleName("section md-bg-blue-grey-700");
+        aggregationHistoryPanel.add(section);
+
+        FlowPanel container = new FlowPanel();
+        container.addStyleName("uk-container uk-container-center");
+        section.add(container);
+
+        FlowPanel timeline = new FlowPanel();
+        timeline.addStyleName("al_timeline");
+        container.add(timeline);
+
+        for(AggregationDetails aggregationDetails: aggregationHistory) {
+
+            FlowPanel timelineBlock = new FlowPanel();
+            timelineBlock.addStyleName("al_timeline_block versionChange");
+
+            FlowPanel timelineImage = new FlowPanel();
+            timelineImage.addStyleName("al_timeline_image uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-scale-up");
+            timelineBlock.add(timelineImage);
+
+            FlowPanel timelineContent = new FlowPanel();
+            timelineContent.addStyleName("al_timeline_content uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-slide-left");
+            timelineBlock.add(timelineContent);
+
+            String content = "";
+
+            if(aggregationDetails.getDate()!=null)
+                content += "<h3>" + dtf.format(aggregationDetails.getDate()) + "</h3>";
+
+            if(aggregationDetails.getAggregationStage()!=null)
+                content += "<p>Aggregation stage - " + aggregationDetails.getAggregationStage() + "</p>";
+
+            if(aggregationDetails.getCollectionMode()!=null)
+                content += "<p>Collection mode - " + aggregationDetails.getCollectionMode() + "</p>";
+
+            content += "<p>Number of records - " + aggregationDetails.getNumberOfRecords() + "</p>";
+//                    "<a class=\"md-btn md-btn-primary\" href=\"#\">View version details</a>" ;
+            timelineContent.add(new HTML(content));
+
+            timeline.add(timelineBlock);
+        }
+
+//        String timelineContent = "<div _ngcontent-c5=\"\" class=\"uk-width-1-1@m\">\n" +
+//                "<section _ngcontent-c5=\"\" class=\"section md-bg-blue-grey-700\">\n" +
+//                "                                        <div _ngcontent-c5=\"\" class=\"uk-container uk-container-center\">\n" +
+//                "                                            <div _ngcontent-c5=\"\" class=\"al_timeline\">\n" +
+//                "                                                <div _ngcontent-c5=\"\" class=\"al_timeline_block versionChange\">\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_image uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-scale-up\">\n" +
+//                "                                                    </div>\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_content uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-slide-left\">\n" +
+//                "                                                        <h3 _ngcontent-c5=\"\">Version 3</h3>\n" +
+//                "                                                        <p _ngcontent-c5=\"\">Updated to this version on 08/08/17 by Antonis Lempesis</p>\n" +
+//                "                                                        <a _ngcontent-c5=\"\" class=\"md-btn md-btn-primary\" href=\"#\">View version details</a>\n" +
+//                "                                                    </div>\n" +
+//                "                                                </div>\n" +
+//                "                                                <div _ngcontent-c5=\"\" class=\"al_timeline_block update\">\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_image uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-scale-up\">\n" +
+//                "                                                    </div>\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_content uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-slide-right\">\n" +
+//                "                                                        <h3 _ngcontent-c5=\"\">Updated</h3>\n" +
+//                "                                                        <p _ngcontent-c5=\"\">on 07/06/17 by George Papastefanatos</p>\n" +
+//                "                                                    </div>\n" +
+//                "                                                </div>\n" +
+//                "                                                <div _ngcontent-c5=\"\" class=\"al_timeline_block update\">\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_image uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-scale-up\">\n" +
+//                "                                                    </div>\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_content uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-slide-right\">\n" +
+//                "                                                        <h3 _ngcontent-c5=\"\">Updated</h3>\n" +
+//                "                                                        <p _ngcontent-c5=\"\">on 05/06/17 by Antonis Lempesis</p>\n" +
+//                "                                                    </div>\n" +
+//                "                                                </div>\n" +
+//                "                                                <div _ngcontent-c5=\"\" class=\"al_timeline_block versionChange\">\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_image uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-scale-up\">\n" +
+//                "                                                    </div>\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_content uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-slide-right\">\n" +
+//                "                                                        <h3 _ngcontent-c5=\"\">Version 2</h3>\n" +
+//                "                                                        <p _ngcontent-c5=\"\">Updated to this version by Stefania Martziou</p>\n" +
+//                "                                                        <a _ngcontent-c5=\"\" class=\"md-btn md-btn-primary\" href=\"#\">View version details</a>\n" +
+//                "                                                    </div>\n" +
+//                "                                                </div>\n" +
+//                "                                                <div _ngcontent-c5=\"\" class=\"al_timeline_block update\">\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_image uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-scale-up\">\n" +
+//                "                                                    </div>\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_content uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-slide-right\">\n" +
+//                "                                                        <h3 _ngcontent-c5=\"\">Updated</h3>\n" +
+//                "                                                        <p _ngcontent-c5=\"\">on 07/06/17 by George Papastefanatos</p>\n" +
+//                "                                                    </div>\n" +
+//                "                                                </div>\n" +
+//                "                                                <div _ngcontent-c5=\"\" class=\"al_timeline_block update\">\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_image uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-scale-up\">\n" +
+//                "                                                    </div>\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_content uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-slide-right\">\n" +
+//                "                                                        <h3 _ngcontent-c5=\"\">Updated</h3>\n" +
+//                "                                                        <p _ngcontent-c5=\"\">on 07/06/17 by Panagiotis Lampropoulos</p>\n" +
+//                "                                                    </div>\n" +
+//                "                                                </div>\n" +
+//                "                                                <div _ngcontent-c5=\"\" class=\"al_timeline_block update\">\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_image uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-scale-up\">\n" +
+//                "                                                    </div>\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_content uk-scrollspy-init-inview uk-scrollspy-inview uk-animation-slide-left\">\n" +
+//                "                                                        <h3 _ngcontent-c5=\"\">Updated</h3>\n" +
+//                "                                                        <p _ngcontent-c5=\"\">on 07/06/17 by Stefania Martziou</p>\n" +
+//                "                                                    </div>\n" +
+//                "                                                </div>\n" +
+//                "                                                <div _ngcontent-c5=\"\" class=\"al_timeline_block versionChange\">\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_image\">\n" +
+//                "                                                    </div>\n" +
+//                "                                                    <div _ngcontent-c5=\"\" class=\"al_timeline_content\">\n" +
+//                "                                                        <h3 _ngcontent-c5=\"\">Version 1</h3>\n" +
+//                "                                                        <p _ngcontent-c5=\"\">Updated to this version on 01/01/2017 by George Papastefanatos</p>\n" +
+//                "                                                        <a _ngcontent-c5=\"\" class=\"md-btn md-btn-primary\" href=\"#\">View version details</a>\n" +
+//                "                                                    </div>\n" +
+//                "                                                </div>\n" +
+//                "                                            </div>\n" +
+//                "                                        </div>\n" +
+//                "                                    </section>\n" +
+//                "\n" +
+//                "\n" +
+//                "                                </div>";
+//
+//        HTML timeline = new HTML(timelineContent);
+//
+//        aggregationHistoryPanel.add(timeline);
+
+    }
+
+    @Override
+    public Widget asWidget() {
+        return aggregationHistoryPanel;
+    }
+}
